| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
List of all members
IG.Lib.Cons Class Reference

Utilities for reading from a console. Just an alias for UtilConsole. More...

Inheritance diagram for IG.Lib.Cons:
[legend]
Collaboration diagram for IG.Lib.Cons:
[legend]

## Additional Inherited Members
Static Public Member Functions inherited from IG.Lib.UtilConsole
static void | HideConsoleWindow ()
| Hides the console window. More...
static void | ShowConsoleWindow ()
| Shows the console window. More...
static bool | Read (ref int value)
| Reads an integer from a console and assigns it to a variable. User can input a non-integer to see current content, or insert an empty string to leave the old content. More...
static bool | Read (ref long value)
| Reads an integer (of type long) from a console and assigns it to a variable. User can input a non-integer to see current content, or insert an empty string to leave the old content. More...
static bool | Read (ref double value)
| Reads a floating point number (type double) from a console and assigns it to a variable. User can input a non-integer to see current content, or insert an empty string to leave the old content. More...
static bool | Read (ref float value)
| Reads a floating point number (type float) from a console and assigns it to a variable. User can input a non-integer to see current content, or insert an empty string to leave the old content. More...
static bool | Read (ref bool value)
| Reads a boolean from a console and assigns it to a variable. User can input a non-boolean to see current content, or insert an empty string to leave the old content. Eligible input to assign a new boolean value (strings are not case sensitive!): More...
static bool | Read (ref string value)
| Reads a string from a console and assigns it to a variable. User can input a ? to see current content, or insert an empty string to leave the old content. More...
static bool | Read (ref IVector vec)
| Reads a vector from a console and assigns it to the specified vector variable. More...
static bool | Read (ref IVector vec, string vecName)
| Reads a vector from a console and assigns it to the specified vector variable. More...
static bool | Read (ref IMatrix mat)
| Reads a matrix from console and assigns it to the specified matrix variable. More...
static bool | Read (ref IMatrix mat, string matName)
| Reads a matrix from console and assigns it to the specified matrix variable. More...
static bool | ReadPwd (ref string value, string printchar, bool printrandom)
| Reads a password from console, masking the input as specified. More...
static bool | ReadPwd (ref string value, string printchar)
| Reads a password from console, masking the input as specified. More...
static bool | ReadPwd (ref string value, bool printrandom)
| Reads a password from console, masking the input as specified. More...
static bool | ReadPwd (ref string value)
| Reads a password from console, masking the input by * characters. More...
static void | ReadPwd (ref byte[] passwordBytes, ref string passwordString, string passwordName="password", bool isStringForm=false, bool isByteform=false, bool isHexForm=false, bool isBase64Encoded=false, bool verify=true)
| Reads a password, a key, or any other key - related string form the console. <par>Password can be either a string, or a hexadecimal or base-64 encoded sequence of bytes.</par>< More...
static void | Examples ()
Protected Attributes inherited from IG.Lib.UtilConsole
const int | SW_HIDE = 0
const int | SW_SHOW = 5
const string | _defaultVectorName = "vec"
const string | _defaultMatrixName = "vec"

## Detailed Description

Utilities for reading from a console. Just an alias for UtilConsole.

$A Igor Feb10;

The documentation for this class was generated from the following file:

- igbase/utilities/UtilConsole.cs